package no.skippy.sim.control;

import java.awt.geom.RectangularShape;

public interface Zoomable {
	
	/**
	 * @return viewPort
	 */
	public RectangularShape getZoom();

	/**
	 * Same as calling {@link Zoomable#setZoom(RectangularShape, int)} with -1.
	 * 
	 * @param viewPort
	 *            to set.
	 */
	public void setZoom(RectangularShape viewPort);
	
	/**
	 * 
	 * @param viewPort to set.
	 * @param transitionMillis use 0 as default value.
	 */
	public void setZoom(RectangularShape viewPort, int transitionMillis);

} 