package no.skippy.agent.skippy;

import static org.junit.Assert.assertEquals;
import no.skippy.agent.util.CurlingUtils;

import org.junit.Before;
import org.junit.Test;

public class TestAbstractAgent {
	
	AbstractAgent agent;
	
	@Before
	public void setup() {
		agent = new SkippyAgent();
	}

	@Test
	public void testInHouseScore() {

		double zeroDist = 0.0;
		double zeroExpected = 1;
		assertEquals(zeroExpected, AgentState.inHouseScore(zeroDist), 0.01);
		
		double thirdDist = CurlingUtils.feetToMeter(6);
		double thirdExpected = 1 - thirdDist/CurlingUtils.feetToMeter(12);
		assertEquals(thirdExpected, AgentState.inHouseScore(thirdDist), 0.01);

		double sixDist = CurlingUtils.feetToMeter(6);
		double sixExpected = 0.5;
		assertEquals(sixExpected, AgentState.inHouseScore(sixDist), 0.01);

	}
}
