package no.skippy.sim.view;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JButton;

import no.skippy.agent.Agent;
import no.skippy.agent.examples.BullsEyeAgent;
import no.skippy.agent.examples.LinearTargetAgent;
import no.skippy.agent.skippy.SkippyAgent;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;
import org.junit.Ignore;

@Ignore
public class TestNewSimulatorView extends SingleFrameApplication {

	@Override
	protected void startup() {
		JButton openNew = new JButton(new AbstractAction() {
			/** */
			private static final long serialVersionUID = 1L;

			public void actionPerformed(ActionEvent e) {

				Agent[] aa = new Agent[] { new SkippyAgent(),
						new LinearTargetAgent(), new BullsEyeAgent() };

				NewSimulatorDialog dialog = new NewSimulatorDialog(
						getContext(), getMainFrame(), aa);
				if (dialog.showDialog(getMainFrame()).isRunSimulatorApproved()) {} else {}
			}
		});
		show(openNew);
	}

	public static void main(String... args) {
		Application.launch(TestNewSimulatorView.class, args);
	}

}
