package no.skippy.agent;


/**
 * A interface for determine if agent requires mouse controls.
 * @author <a href="mailto:frode.aa@gmail.com">Frode Aannevik </a>
 */
public interface InterActive  {

	/**
	 * Override this method if you are creating an agent controlled
	 * by mouse.
	 * @return if the agent need to use mouse/keys to set rock.
	 */
	boolean isInterActive();
	
}
