package no.skippy.agent.examples;

public class LFunctionLog {

	private double constant = 1.0;
	private int points = 0;
	private int roundPlayed = 0;
	private double estimatedValue = 0;
	private double realValue = 0;
	private double[] weights;

	public LFunctionLog(double[] weights, double constant, int points,
			int roundPlayed) {
		this.weights = weights;
		this.constant = constant;
		this.points = points;
		this.roundPlayed = roundPlayed;
	}

	public LFunctionLog(double[] weights, double constant, int points,
			int roundPlayed, double estimatedValue, double realValue) {
		this(weights, constant, points, roundPlayed);
		this.estimatedValue = estimatedValue;
		this.realValue = realValue;
	}

	public double[] getWeights() {
		return weights;
	}

	public void setWeights(double[] weights) {
		this.weights = weights;
	}

	public double getConstant() {
		return constant;
	}

	public void setConstant(double constant) {
		this.constant = constant;
	}

	public int getPoints() {
		return points;
	}

	public void setPoints(int points) {
		this.points = points;
	}

	public int getRoundPlayed() {
		return roundPlayed;
	}

	public void setRoundPlayed(int roundPlayed) {
		this.roundPlayed = roundPlayed;
	}

	public double getEstimatedValue() {
		return estimatedValue;
	}

	public void setEstimatedValue(double estimatedValue) {
		this.estimatedValue = estimatedValue;
	}

	public double getRealValue() {
		return realValue;
	}

	public void setRealValue(double realValue) {
		this.realValue = realValue;
	}

}