package no.skippy.agent.skippy;

import java.awt.geom.Point2D;

import no.skippy.agent.event.RoundEndedEvent;
import no.skippy.agent.event.TurnEvent;
import no.skippy.agent.util.Storage;

public class SkippyAka extends SkippyAgent {
	
	protected void configure() {
		setAgentName("Aka Mod");
		useHammer(false);
		setNormalSuffix("06.05.09_0");
		setHammerSuffix("06.05.09_0");
	}
	
	int round = 0;
	public void onTurn(TurnEvent event) {
		if (round++ < 7) {
			event.setBroom(new Point2D.Double(event.getOutTurn() ? -Math
					.random() : Math.random(), 0.));
			event.setSplitTimeMillies(3250 + (Math.random() < .5 ? (int) (-Math
					.random() * 100) : (int) (Math.random() * 100)));
		} else {
			bestAction = new AgentAction(event, -2.5, 2.5, 0.5, 3150, 3351,
					100, true);
			doBestMove(bestAction, event);
		}
	}
	
	private void reset() {
		round = 0;
	}
	
	public void onWin(RoundEndedEvent event)   { reset(); }
	public void onTie(RoundEndedEvent event)   { reset(); }
	public void onLoose(RoundEndedEvent event) { reset(); }
	public void tearDown(Storage service)      { reset(); }
	
}
