package no.skippy.agent.skippy.rlearning;


import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

public class TestRLSkippyAgent {

	RLSkippyAgent agent;
	
	@Before
	public void setUp() throws Exception {
		agent = new RLSkippyAgent();
	}
	
	@Test
	public void testConfigure() {
		
		agent.setLogProgress(true);
		assertTrue(agent.logProgress);
		
		agent.setLogProgress(false);
		assertFalse(agent.logProgress);
		
		agent.setUseStateWithHammer(true);
		assertTrue(agent.useQSAWithHammerState);
		
		agent.setUseStateWithHammer(false);
		assertFalse(agent.useQSAWithHammerState);
	}
}

